Jump to content

break at a point....help


Recommended Posts

Posted

hello:

I want to run break command from lsp

the problem is that I want to break only at one point and it breaks me at two points

when i write break in the command line

this is shown

 

image.png.ae3937ba54824fe4567c68dbc6178d8b.png

 

 

I use this line

(command "_break" "\\" "\\" "")

 

but I would like to break only at one point without having to use the icon

image.png.632f5be553297e366a42ce2310e58db8.png

 

any suggestions?

 

 

 

 

Posted (edited)
(command "_BREAK" (car (entsel "\nSelect Entity")) (getpoint "\nBreak at point") "@")
Edited by mhupp
  • Thanks 1
  • 3 weeks later...
Posted

(DEFUN c:PartirEnPunto ()
  (PRINC "\n")
  (COMMAND "_.break" pause "_f" pause "@")
  (PRIN1)
)

Posted

this is what I use to break by one point:

(defun c:Brk_Fp ()
 (if (and
       (setq ss (ssget ":S"))
       (setq pt (getpoint "\nSelect break point: "))
     )
  (progn
   (setq ename (ssname ss 0)) 
   (command "_.break" ename "_none" pt "_none" pt)
  )
 )

 (princ)
)

 

  • Like 1
Posted

I recently just saw this post and I've been trying my best to try to recursively break a polyline at points (in a list) that may or may not be on it.

So far, no luck. I'll sleep on it a while.

Posted (edited)

There is a new BREAKATPOINT command that does this.

I made an alias of BAP for it

BreakAtPoint.png

Edited by troggarf
Spelling
  • Like 2
  • 2 weeks later...
Posted
On 12/13/2022 at 5:05 PM, leonucadomi said:

hello:

I want to run break command from lsp

the problem is that I want to break only at one point and it breaks me at two points

when i write break in the command line

this is shown

 

image.png.ae3937ba54824fe4567c68dbc6178d8b.png

 

 

I use this line

(command "_break" "\\" "\\" "")

 

but I would like to break only at one point without having to use the icon

image.png.632f5be553297e366a42ce2310e58db8.png

 

any suggestions?

 

 

 

 

 

Hi, I use

 

(defun c:bn ()(command "break" PAUSE "F")) 

 

to break at 2 points, but at one point

 

(defun c:nm ()
(setq p1 (getpoint "Punto de corte..."))
(command "break" pause "F" p1 p1)
)

 

its not a great solution, but may be you think a another best solution!!!

 

 

 

 

 

 

  • 8 months later...
Posted

Quick and dirty code - (no error checking no data validation)

 

(setq brekData (nentsel "\nClick break point: "))
(setq entToBrek (car brekData))
(setq brekPt (cadr brekData))
(command "_.Break" entToBrek brekPt brekPt)

 

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...